Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455857 - ypbind loses bind
Summary: ypbind loses bind
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ypbind
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 12:31 UTC by Matt Domsch
Modified: 2009-06-10 03:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 03:55:08 UTC


Attachments (Terms of Use)

Description Matt Domsch 2008-07-18 12:31:17 UTC
Description of problem:
We've been seeing this problem for several weeks, on machines running Fedora 8
and 9, up-to-date with ypbind-1.20.4-6.fc9.x86_64.  ypbind binds to the lab
local ypserv (which happens to be quite old, running Red Hat Linux 7.2
ypserv-2.8-0.72E).  But the ypbind clients lose their bind to the server
"often"; some daily, some every hour or so, some much less often.

on the ypserv, we've gotten syslog messages like this one for years, but with
seemingly no problem because of it:
ypserv[25936]: refused connect from xx.xx.xx.xx:41801 to procedure ypproc_match
(YPDOMAIN,hosts.byaddr;-4) 

A restart of ypbind on systems where it has lost bind always restores it.  But
that's annoying to have to do often.  There seems no rhyme or reason from a
client perspective why it might lose bind.  The lab network is fully switched
gigabit ports, very lightly utilized.

Comment 1 Matt Domsch 2008-08-06 15:52:50 UTC
still seeing this, with up-to-date Fedora 9.  Any debugging I can provide, please describe what to do.

Comment 2 Matt Domsch 2008-08-12 14:23:39 UTC
ping - this is still failing on F-9.

Comment 3 Vitezslav Crhonek 2008-10-16 09:52:17 UTC
Well, I'm not able to reproduce it.

Older versions than ypbind-1.20.4-6 worked fine? There are only minor changes in ypbind (generally in init script), so I believe it's highly unlikely that the problem is linked to ypbind update.

ypserv message you mentioned (error code -4) AFAIK means that the map requested wasn't found, so you're right - it doesn't matter (in newer ypserv these events aren't logged).

Did you try change -ping-interval disable ping at all? Brings it some effect?

Comment 4 Matt Domsch 2008-10-16 12:49:27 UTC
Michael Brown, can you look at ping interval?  You have the nightly reproducer case.

Thanks,
Matt

Comment 5 Bug Zapper 2009-06-10 02:07:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Matt Domsch 2009-06-10 03:55:08 UTC
I don't think I've seen this on F10.  Closing.


Note You need to log in before you can comment on or make changes to this bug.